// Code generated by mockery v2.20.0. DO NOT EDIT.

package mockclients

import (
	context "context"

	mock "github.com/stretchr/testify/mock"

	types "gitlab.com/infor-cloud/martian-cloud/tharsis/tharsis-sdk-go/pkg/types"
)

// GPGKey is an autogenerated mock type for the GPGKey type
type GPGKey struct {
	mock.Mock
}

// CreateGPGKey provides a mock function with given fields: ctx, input
func (_m *GPGKey) CreateGPGKey(ctx context.Context, input *types.CreateGPGKeyInput) (*types.GPGKey, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.GPGKey
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateGPGKeyInput) (*types.GPGKey, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateGPGKeyInput) *types.GPGKey); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.GPGKey)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.CreateGPGKeyInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeleteGPGKey provides a mock function with given fields: ctx, input
func (_m *GPGKey) DeleteGPGKey(ctx context.Context, input *types.DeleteGPGKeyInput) (*types.GPGKey, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.GPGKey
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.DeleteGPGKeyInput) (*types.GPGKey, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.DeleteGPGKeyInput) *types.GPGKey); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.GPGKey)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.DeleteGPGKeyInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetGPGKey provides a mock function with given fields: ctx, input
func (_m *GPGKey) GetGPGKey(ctx context.Context, input *types.GetGPGKeyInput) (*types.GPGKey, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.GPGKey
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetGPGKeyInput) (*types.GPGKey, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetGPGKeyInput) *types.GPGKey); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.GPGKey)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.GetGPGKeyInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewGPGKey interface {
	mock.TestingT
	Cleanup(func())
}

// NewGPGKey creates a new instance of GPGKey. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewGPGKey(t mockConstructorTestingTNewGPGKey) *GPGKey {
	mock := &GPGKey{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
